Subject: RE: [NSIS] text on layering - original mail

From: Kappler Cornelia <[email-masked]>
Date: Fri, 22 Mar 2002 19:18:46 +0100

I think the simplest way to include "starting of an aggregate reservation" is viewing the (logical) entity starting this aggregate as a QI. Note the "logical". I'm not proposing additional functionality in an aggregating router.

Cornelia

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Friday, March 22, 2002 2:08 AM
> To:	Roland Bless
> Cc:	Sven Van den Bosch; [email-masked]; [email-masked]
> Subject:	Re: [NSIS] text on layering - original mail
> 
> Hi Roland,
> 
> I agree, although you could say that even in this case it is first
> triggered by a QC or QI. What I meant was that it couldn't be triggered by
> a QR or by applications. Of course it can sometimes act on its own
> initiative. To make this more clear, I propose to modify the text to:
> ... It can trigger another instance of NSIS signaling or be triggered by a
> QC or a QI.
> 
> Thanks,
> Sven.
> 
> 
> 
> 
> 
> Roland Bless <[email-masked]> on 22/03/2002 01:51:29
>                                                               
>                                                               
>                                                               
>   To:          "Sven Van den Bosch"                           
>                <[email-masked]>                  
>                                                               
>   cc:          [email-masked], [email-masked](bcc: Sven  
>                VAN DEN BOSCH/BE/ALCATEL)                      
>                                                               
>                                                               
>                                                               
>   Subject      Re: [NSIS] text on layering - original mail    
>   :                                                           
>                                                               
> 
> 
> 
> 
> 
> Hi Sven,
> 
> Why do you make restrictions on triggering? I would remove
> that. For instance, you state that a QC can only be triggered by
> a QI and a QC. However, there are cases when a QC may decide
> to create an aggregate out of existing reservations, so it
> may start a new protocol (trans)action to other QCs in (a)
> without being triggered by other entities.
> 
> Regards,
>   Roland
> 
> [email-masked] said:
> > This suggests the following definitions for the QI, QC, QR
> > - QoS Initiator: Network entity, located at the boundary of a QoS
> > domain, responsible for initiating a (local or end-to-end) QoS
> > mechanism. If it is the QI of a local protocol, it can be triggered by
> > higher layers (applications or end-to-end QoS Controller). If it is
> > the QI of an end-to-end protocol, it can be triggered by applications
> > or by the QoS Receiver of a local QoS signaling mechanism.
> 
> > - QoS Controller: Network entity responsible for interpreting and
> > implementing the signalled QoS in the network. Failure to do so
> > implies an admission control decision. It can only be triggered by a
> > QI or another QC.
> 
> > -QoS Receiver: Network entity, located at the boundary of a QoS
> > domain, responsible for terminating a (local or end-to-end) QoS
> > mechanism. It has the additional functionality that it may initiate an
> > acknowledgment towards the QI and that it may trigger a QI or QC in
> > the NSIS end-to-end protocol.
> 
> > If this can be accepted by the NSIS community, we propose to add this
> > text to the requirements document as a clarification of the QI/QC
> > model that is used there.
> 
> 
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 
> 
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: Roland Bless <[email-masked]>
Date: Mon, 25 Mar 2002 17:06:40 +0100

Hi Cornelia,

> I think the simplest way to include "starting of an aggregate
> reservation" is viewing the (logical) entity starting this aggregate as
> a QI. Note the "logical". I'm not proposing additional functionality in

Surely, one can see it as a logical QI, but this is although 
generally true for QC <-> QC dialogues. I think we need a 
clearer definition here (what if the QoS receiver QR is the initiator?),
etc. I see an nsis protocol as a two-party protocol between two 
entities. The QI,QC,QR terminology tries to catch the different roles
of the parties for concatenated dialogues between those entities.
I'm not sure whether we currently catch all possible cases here.

> an aggregating router.
                 ^^^^^^
Who says that a QC must be a router?

Regards,
 Roland

-- 
Roland Bless -- e-Mail: [email-masked]
Institute of Telematics, University of Karlsruhe, Germany  
Zirkel 2, D-76128 Karlsruhe -- Office: Bld. 20.20, 3rd floor, R 358
Phone: +49 721 608-6413 Fax: +49 721 388097